Groovy Documentation

## org.codehaus.groovy.runtime.callsite
[Java] Class CallSiteGenerator

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.CallSiteGenerator

    public class CallSiteGenerator
    extends java.lang.Object

Method Summary
`static java.lang.reflect.Constructor` | `compilePogoMethod(CachedMethod cachedMethod)`
`static java.lang.reflect.Constructor` | `compilePojoMethod(CachedMethod cachedMethod)`
`static java.lang.reflect.Constructor` | `compileStaticMethod(CachedMethod cachedMethod)`
`static void` | `genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, java.lang.String name, java.lang.String superClass, CachedMethod cachedMethod, java.lang.String receiverType)`
`static void` | `genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, java.lang.String name, java.lang.String superClass, CachedMethod cachedMethod, java.lang.String receiverType)`
`static byte[]` | `genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, java.lang.String name)`
`static byte[]` | `genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, java.lang.String name)`
`static byte[]` | `genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, java.lang.String name)`
`static boolean` | `isCompilable(CachedMethod method)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### compilePogoMethod

    public static java.lang.reflect.Constructor compilePogoMethod(CachedMethod cachedMethod)

### compilePojoMethod

    public static java.lang.reflect.Constructor compilePojoMethod(CachedMethod cachedMethod)

### compileStaticMethod

    public static java.lang.reflect.Constructor compileStaticMethod(CachedMethod cachedMethod)

### genCallWithFixedParams

    public static void genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, java.lang.String name, java.lang.String superClass, CachedMethod cachedMethod, java.lang.String receiverType)

### genCallXxxWithArray

    public static void genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, java.lang.String name, java.lang.String superClass, CachedMethod cachedMethod, java.lang.String receiverType)

### genPogoMetaMethodSite

    public static byte[] genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, java.lang.String name)

### genPojoMetaMethodSite

    public static byte[] genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, java.lang.String name)

### genStaticMetaMethodSite

    public static byte[] genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, java.lang.String name)

### isCompilable

    public static boolean isCompilable(CachedMethod method)

Groovy Documentation